
QGIS Application - Feature request #15702

Image metada (GDAL) does not show compression information of an image

2016-10-13 08:18 AM - Andreas Neumann

Status: Closed

Priority: Low

Assignee:

Category: Rasters

Pull Request or Patch supplied:Yes Resolution:

Easy fix?: No Copied to github as #: 23625

Description

It would be useful if the "Layer Properties" --> "Metadata" --> "Properties" text would include information on compression.

E.g. a GeoTIFF can have many different compression methods, with different effect on file size and speed.

It would be good if the image metadata would reveal this information.

gdalinfo does reveal the compression information - see fe. this output:

-------------------

Image Structure Metadata:

  COMPRESSION=DEFLATE

  INTERLEAVE=BAND

-------------------

Associated revisions

Revision 516aad7c - 2017-04-29 10:21 AM - Alexander Bruy

expose image compression in the layer metadata (fix #15702)

Revision 06c5d24e - 2017-09-12 09:32 AM - Alexander Bruy

Merge pull request #4440 from alexbruy/gdal-compression

expose image compression in the layer metadata (fix #15702)

History

#1 - 2017-04-30 09:42 AM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

- Description updated

Pull-request is here https://github.com/qgis/QGIS/pull/4440

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-09-12 09:32 AM - Alexander Bruy

2024-04-27 1/2

https://github.com/qgis/QGIS/pull/4440


- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|516aad7cdf1474acad5ec8baa7184f8d7aaed977.
